Message: previous - next
Month: May 2012

Re: [trinity-devel] Build KDE3 on gcc 4.7 to test kwrite issue?

From: "Timothy Pearson" <kb9vqf@...>
Date: Mon, 14 May 2012 13:48:08 -0500
>>   Do you have the capability to build Kde3 on gcc 4.7
>> to test the kwrite issue.
>> I don't know if you have the same capabilities to build KDE
>> as you do TDE, but since I don't and since I haven't gotten a
>> confirmation from
>> the SuSE folks, I'm curious if building 3.5.10 will show the same crash.
>> If you
>> have the sources and build scripts for it, it is probably worth doing
>> just to see
>> if we can eliminate the tqtinterface code as a possible source. If it is
>> the
>> same crash in KDE as it is in TDE, then tqtinterface should be able to
>> be
>> eliminated.
> In short, I have the capability, but I haven't tinkered with building
> 3.5.10 for a long time. Primary challenge is mental cobwebs. :-) Second,
> although I have a collection of most of the 3.5.10 patches needed, I don't
> have all and I don't have any of the 4.7 patches backported --- and
> stripped of the TQt layer.

Honestly I really wouldn't bother.  Even if 3.5.10 builds and works, it
won't help TDE one bit in fixing the problem.
> Although Tim hasn't said
> anything, I suspect we won't release R14.0.0 without finding a solution.
> Further, we shouldn't release R14.0.0 without those patches because
> shortly thereafter other distros will be moving to GCC 4.7. Without a fix
> now, we would be forced into releasing R15 or R14.1.0. Better to fix the
> problem in R14.0.0 now to provide us breathing room in the upcoming
> months.

Here's my official statement: R14.0.0 will NOT be released until it builds
and functions under gcc 4.7.